/**
* Filename: Crank.java (in org.openbandy.example)
* This file is part of the BandySerializer project.
*
* www.BandySerializer.org
*/

package org.openbandy.example;

import java.util.Vector;

import org.openbandy.io.Serializable;
import org.openbandy.io.SerializationBuffer;
import org.openbandy.io.SerializationIdentifiers;
import org.openbandy.io.Serializer;

/**
 * TODO describe purpose and usage
 *
 * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 *
 * @author Philipp Bolliger (philipp@bolliger.name)
 * @version 0.1
 * 
 */
public class Crankshaft implements Serializable {
	
	/* Storage serializer ID */
	private int crankshaftId = SerializationIdentifiers.NO_ID;
	
	/* Attributes that will be serialized */
	private String material = "";
	private int weight = 0;
	
	/* ************ Constructor ************ */

	public Crankshaft(){
		/* nothing to do */
	}

	/* ************ Getter and Setter Methods ************ */
	
	public String getMaterial() {
		return material;
	}

	public void setMaterial(String material) {
		this.material = material;
	}

	public int getWeight() {
		return weight;
	}

	public void setWeight(int weight) {
		this.weight = weight;
	}
	

	/* ************ Methods for interface Serializable ************ */

	public void serialize(Serializer serializer, SerializationBuffer serializationBuffer) {
		serializationBuffer.container().addString("material", material);
		serializationBuffer.container().addInt("weight", weight);
	}

	public void deserialize(Serializer serializer, SerializationBuffer serializationBuffer) {
		material = serializationBuffer.container().getString("material");
		weight = serializationBuffer.container().getInt("weight");
	}

	public String getIdName() {
		return "crankshaftId";
	}

	public int getIdValue() {
		return crankshaftId;
	}

	public void setIdValue(int idValue) {
		crankshaftId = idValue;
	}

	public void getAttributeNames(Vector attributes) {
		attributes.addElement("material");
		attributes.addElement("weight");
	}

	public void getReferences(Vector references) {
		/* nothing to do */
	}

	public void getReferencedIdNames(Vector referenceNames) {
		/* nothing to do */
	}

	public String getLegibleString() {
		return "Crankshaft material:"+material+" weight:"+weight;
	}

	public boolean isEqualShallow(Serializable serializableObject) throws ClassCastException {
		Crankshaft comparingCrankshaft = (Crankshaft)serializableObject;
		return ( (this.material.equals(comparingCrankshaft.material)) &&
				(this.weight == comparingCrankshaft.weight));
	}

	public boolean isEqual(Serializable serializableObject) throws ClassCastException {
		return isEqualShallow(serializableObject);
	}

	public Serializable getCopy() {
		Crankshaft clone = new Crankshaft();
		clone.crankshaftId = this.crankshaftId;
		clone.material = this.material;
		clone.weight = this.weight;
		return clone;
	}

	public Serializable getNewInstance() {
		return new Crankshaft();
	}
}
