/**
* Filename: RmsValueContainer.java (in org.openbandy.io.rms)
* This is part of the OpenBandy project.
* 
* www.openbandy.org
*/

package org.openbandy.io.rms;

import java.util.Vector;

import javax.microedition.rms.RecordStore;

import org.openbandy.io.Serializable;
import org.openbandy.io.storage.ObjectEntry;
import org.openbandy.io.storage.StorageValueContainer;


/**
* TODO describe purpose and usage
* 
*  TODO  reuse the output streams and use RmsRecord
*
* <br><br>
* (c) Copyright P. Bolliger 2007, ALL RIGHTS RESERVED.
*
* @author Philipp Bolliger (philipp@bolliger.name)
* @version 1.0
*/
public class RmsValueContainer extends StorageValueContainer {

	/* internal data structure for load purposes */
    private RmsRecord record;
    
    /* names of the current attributes */
    private Vector attributeNames;
    
    
    /* ***** constructors ***** */
	
    public RmsValueContainer(ObjectEntry objectEntry){
	    this.objectEntry = objectEntry;
	    this.record = null;
	}
	
	public RmsValueContainer(RecordStore recordStore, Serializable serializable){
	    objectEntry = null;
	    this.record = new RmsRecord(recordStore);
        
        attributeNames = RmsStorage.getObjectAttributes(serializable);
	}

	
    /* ****** get ***** */
    
	public String getString(String name) {
        String result = "";
        int id = attributeNames.indexOf(name)+1;
        
        if(id > 0){
	        record.moveTo(id);
	        result = record.readUTF();
        }
        
        return result;
    }
}
