/**
* Filename: ObjectEntry.java (org.openbandy.io.storage)
* This is part of the OpenBandy project.

* @author Philipp Bolliger (philipp@bolliger.name)
* @version 0.8
* 
* (c) Copyright 2007, ALL RIGHTS RESERVED.
*
* TODO describe purpose and usage
*/

package org.openbandy.io.storage;

import java.util.Enumeration;
import java.util.Hashtable;

import org.openbandy.io.Serializable;
import org.openbandy.test.Assertion;

public class ObjectEntry{

    /* The corresponding serializable */
    private Serializable owner;
    
    /* Hashtable of entries: name (String) -> value (String) */
	private Hashtable entries;
	
    /* Constructor */
	public ObjectEntry(Serializable owner){
		this.owner = owner;
		this.entries = new Hashtable();	
	}

    /* ********** Getter Methods ************ */
    
    public Serializable getOwner() {
        return owner;
    }
    
	public Enumeration getNames(){
		return entries.keys();
	}
	
	public Enumeration getValues(){
	    return entries.elements();
	}

    public Hashtable getEntries() {
        return entries;
    }

    /* ********** Object Entry Methods ************ */
    
    public int size(){
        return entries.size();
    }
    
	public boolean containsKey(String name){
		return entries.containsKey(name);
	}
    
	public void update(String name, String value){
	    if(Assertion.notNull(name) && Assertion.notNull(value)){
	        entries.put(name, value);
	    }
	}
    
	public void add(String name, String value){
	    if(Assertion.notNull(name) && Assertion.notNull(value)){
	        entries.put(name, value);
	    }
	}
	
	public String get(String name){
	    if(Assertion.notNull(name)){
	        return (String) entries.get(name);
	    }else{
	        return "";
	    }
	}
}
