/**
* Filename: LogHelper.java (in org.openbandy.log)
* This file is part of the BandyBasics project.
*
* www.BandyBasics.org
*/

package org.openbandy.log;

import org.openbandy.util.TimestampUtil;

/**
 * TODO describe purpose and usage
 *
 * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 *
 * @author Philipp Bolliger (philipp@bolliger.name)
 * @version 0.1
 * 
 */
public class LogHelper {

	/**
	 * Create the log message string from the given parameters according to the format:
	 * <code>level(1)|timestamp(17)| |class name (if given)|: |log message</code>
	 * 
	 * @param level The log level that should be applied
	 * @param message The message to log
	 * @param originClassName The stort class name (i.e. without package indication) of the class that logs
	 * @return The compiled log message
	 */
	public static String createLogMessage(int level, Object message, String originClassName){
		/* start the log message by indicating the log level */
		String logMessage = ""+level;

		/* add timestamp */
		logMessage = logMessage+TimestampUtil.getActualFormatedDate();

		/* add class name if available */
		if(originClassName != ""){
			logMessage = logMessage+" "+originClassName+": ";
		}

		/* add the actual message */
		if(message == null){
			message = "";
		}

		return logMessage+message.toString();
	}

}
